common.h File Reference
`#include "gettext.h"`
`#include "Globals.h"`
`#include "AssertionFailed.h"`
`#include <iostream>`
`#include "Arguments.h"`
`#include "RandomSource.h"`

Go to the source code of this file.

## Macros

#define | UWORD32_MAX 0xFFFFFFFFUL
#define | UWORD16_MAX 0xFFFF
#define | BYTE_MAX 0xFF
#define | SWORD32_MIN -2147483647 - 1
#define | SWORD32_MAX 2147483647
#define | SWORD16_MIN -32768
#define | SWORD16_MAX 32767
#define | SBYTE_MIN -128
#define | SBYTE_MAX 127
#define | SAMPLEKEY_MAX UWORD32_MAX
#define | VERTEXLABEL_MAX UWORD32_MAX
#define | _(S)
#define | myassert(expr)

## Typedefs

typedef unsigned long | UWORD32
typedef unsigned short | UWORD16
typedef unsigned char | BYTE
typedef long | SWORD32
typedef short | SWORD16
typedef char | SBYTE
typedef bool | BIT
typedef BYTE | EmbValue
typedef UWORD32 | SamplePos
typedef UWORD32 | VertexLabel
typedef UWORD32 | SampleValueLabel
typedef UWORD32 | SampleKey

## Variables

Globals | Globs
Arguments | Args
RandomSource | RndSrc

## Macro Definition Documentation

## _

#define _ | ( |  | S | ) |

Value:
gettext (S)
gettext
#define gettext(Msgid)
Definition gettext.h:45

## BYTE_MAX

#define BYTE_MAX 0xFF

## myassert

#define myassert | ( |  | expr | ) |

Value:
if (!(expr)) throw AssertionFailed (__FILE__, __LINE__)
AssertionFailed
Definition AssertionFailed.h:27

## SAMPLEKEY_MAX

#define SAMPLEKEY_MAX UWORD32_MAX

## SBYTE_MAX

#define SBYTE_MAX 127

## SBYTE_MIN

#define SBYTE_MIN -128

## SWORD16_MAX

#define SWORD16_MAX 32767

## SWORD16_MIN

#define SWORD16_MIN -32768

## SWORD32_MAX

#define SWORD32_MAX 2147483647

## SWORD32_MIN

#define SWORD32_MIN -2147483647 - 1

## UWORD16_MAX

#define UWORD16_MAX 0xFFFF

## UWORD32_MAX

#define UWORD32_MAX 0xFFFFFFFFUL

## VERTEXLABEL_MAX

#define VERTEXLABEL_MAX UWORD32_MAX

## Typedef Documentation

## BIT

typedef bool BIT

## BYTE

typedef unsigned char BYTE

## EmbValue

typedef BYTE EmbValue

## SampleKey

typedef UWORD32 SampleKey

## SamplePos

typedef UWORD32 SamplePos

## SampleValueLabel

typedef UWORD32 SampleValueLabel

## SBYTE

typedef char SBYTE

## SWORD16

typedef short SWORD16

## SWORD32

typedef long SWORD32

## UWORD16

typedef unsigned short UWORD16

## UWORD32

typedef unsigned long UWORD32

## VertexLabel

typedef UWORD32 VertexLabel

## Variable Documentation

## Args

Arguments Args

extern

## Globs

Globals Globs

extern

## RndSrc

RandomSource RndSrc

extern